org.eclipse.wst.jsdt.chromium.debug.core.sourcemap

## Enum SourcePositionMap.TranslateDirection

- java.lang.Object
- - java.lang.Enum<SourcePositionMap.TranslateDirection>
  - - org.eclipse.wst.jsdt.chromium.debug.core.sourcemap.SourcePositionMap.TranslateDirection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SourcePositionMap.TranslateDirection>

Enclosing interface:
  SourcePositionMap

    public static enum SourcePositionMap.TranslateDirection
    extends java.lang.Enum<SourcePositionMap.TranslateDirection>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`USER_TO_VM`
`VM_TO_USER`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`SourcePositionMap.TranslateDirection` `opposite()`
`static SourcePositionMap.TranslateDirection` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SourcePositionMap.TranslateDirection[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VM_TO_USER

    public static final SourcePositionMap.TranslateDirection VM_TO_USER

#### USER_TO_VM

    public static final SourcePositionMap.TranslateDirection USER_TO_VM

### Method Detail

#### values

    public static SourcePositionMap.TranslateDirection[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SourcePositionMap.TranslateDirection c : SourcePositionMap.TranslateDirection.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SourcePositionMap.TranslateDirection valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### opposite

    public SourcePositionMap.TranslateDirection opposite()